Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# IIOP_EndpointsC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`
`#include "tao/VarOut_T.h"`

Include dependency graph for IIOP_EndpointsC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO
## Classes
struct | TAO::IIOP_Endpoint_Info
| Stores information for a single IIOP endpoint. More...
class | TAO::IIOPEndpointSequence
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _TAO_IIOPENDPOINTSEQUENCE_CH_
## Typedefs
typedef TAO_Var_Var_T< IIOP_Endpoint_Info > | IIOP_Endpoint_Info_var
typedef TAO_Out_T< IIOP_Endpoint_Info, IIOP_Endpoint_Info_var > | IIOP_Endpoint_Info_out
typedef TAO_VarSeq_Var_T< IIOPEndpointSequence, IIOP_Endpoint_Info > | IIOPEndpointSequence_var
typedef TAO_Seq_Out_T< IIOPEndpointSequence, IIOPEndpointSequence_var, IIOP_Endpoint_Info > | IIOPEndpointSequence_out
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO::IIOP_Endpoint_Info &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO::IIOP_Endpoint_Info &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO::IIOPEndpointSequence &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO::IIOPEndpointSequence &)

## Define Documentation

#define _TAO_IIOPENDPOINTSEQUENCE_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TAO_Out_T< IIOP_Endpoint_Info, IIOP_Endpoint_Info_var > TAO::IIOP_Endpoint_Info_out

typedef TAO_Var_Var_T< IIOP_Endpoint_Info > TAO::IIOP_Endpoint_Info_var

typedef TAO_Seq_Out_T< IIOPEndpointSequence, IIOPEndpointSequence_var, IIOP_Endpoint_Info > TAO::IIOPEndpointSequence_out

typedef TAO_VarSeq_Var_T< IIOPEndpointSequence, IIOP_Endpoint_Info > TAO::IIOPEndpointSequence_var

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TAO::IIOPEndpointSequence & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TAO::IIOP_Endpoint_Info & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO::IIOPEndpointSequence & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO::IIOP_Endpoint_Info & |
| ) |